> For the complete documentation index, see [llms.txt](https://docs.meta-inf.hu/email-this-issue/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/faq/faq/how-to-set-polling-interval-for-mail-accounts-manually.md).

# How to set polling interval for mail accounts manually

## Problem

Since 9.0.0, the polling interval for the Mail Accounts can be set in Jira, on the accounts configuration page.

[Incoming Mail Accounts](/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/administration/incoming-mail-connections.md) are used for to polling mailboxes for new emails to be processed by the [Next Generation Mail Handler](/email-this-issue/email-this-issue-for-jira-server-data-center/documentation/incoming-emails/next-generation-mail-handlers.md). By default, Mail Accounts poll the mailboxes every minute.

The problem is that Microsoft 365 limitations are sometimes imposed on applications accessing mail accounts too often and returns throttling errors.

{% hint style="info" %}
**Note**: This article is about changing the polling interval manually. Since the writing of this article this fix has been released.
{% endhint %}

## Solution <a href="#howtosetpollingintervalformailaccounts-instructions" id="howtosetpollingintervalformailaccounts-instructions"></a>

Incoming Mail Accounts are polling mailboxes periodically, this is triggered by a scheduled job.

These jobs cannot be configured via the Jira UI but can be seen in `JIRA_URL/secure/admin/SchedulerAdmin.jspa`

![](/files/MbkI6dLGHoXk6W6iA5j5)

The Job in question is called `incomingMailAccountsJobRunner`. Jira does not allow to change the `Schedule` attribute on the UI, however it can be done in the database.

1\. Open the Jira database in a database client app.

2\. Check the content of the table called `clusteredjob`.

3\. Find the record whose `job_id` field has the value: `incomingMailAccountsJobRunner`. A sample SQL SELECT for PostgreSQL is shown here:

```
SELECT * FROM public.clusteredjob WHERE job_id='incomingMailAccountsJobRunner'
```

4\. Update this record by changing the column `cron_expression` to `0 */5 * * * ?` including the tailing question mark as shown below:<br>

![](/files/O5LR9i18A1bpSAnQy4u1)

5\. Save the changes in the table, and after 1-2 minutes, you can verify that the scheduled job is running in periods of 5 minutes using the Jira administration screen shown above.

{% hint style="info" %}
**Note**: This is a temporary workaround until we release the feature to set intervals manually from the app’s administration screen.
{% endhint %}

{% hint style="warning" %}
**Important**: This change in the database does not survive Jira restarts. You need to apply it after a restart.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meta-inf.hu/email-this-issue/email-this-issue-for-jira-server-data-center/faq/faq/how-to-set-polling-interval-for-mail-accounts-manually.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
